Get setting¶
GET/
Endpoint API · Policy Management
Get the value of a setting key in a policy.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
policyId | path | string (uuid) | Yes | Policy ID. |
settingKey | path | string | Yes | Setting key. Must match the pattern ^[-a-z0-9.]+$. |
Request samples¶
curl -X GET "https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings/<settingKey>" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings/<settingKey>",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings/<settingKey>" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings/<settingKey>", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/policies/<policyId>/settings/<settingKey>", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Value of the setting key.¶
Response fields
Option 1
valuebooleanrequiredrecommendedValuebooleansophosManagedbooleanWhether the setting is managed by Sophos. If true, the value of the setting is derived from its default value and can be changed by Sophos.
Option 2
valuearray of booleanrequiredrecommendedValuearray of booleanOption 3
valueintegerrequiredunitstringMust match the pattern
[a-z]{1,20}.recommendedValueintegerOption 4
valuearray of integerrequiredunitstringMust match the pattern
[a-z]{1,20}.recommendedValuearray of integerOption 5
valuestringrequiredMust match the pattern
^$|^(?=.*\S).*$.formatstringFormat of setting item value.
Must match the pattern
Must match the pattern
^[a-z][a-zA-Z0-9]{0,24}$.recommendedValuestringMust match the pattern
^$|^(?=.*\S).*$.sophosManagedbooleanWhether the setting is managed by Sophos. If true, the value of the setting is derived from its default value and can be changed by Sophos.
Option 6
valuearray of stringrequiredEach item must match the pattern
^$|^(?=.*\S).*$.formatstringFormat of setting item value.
Must match the pattern
Must match the pattern
^[a-z][a-zA-Z0-9]{0,24}$.recommendedValuearray of stringEach item must match the pattern
^$|^(?=.*\S).*$.Option 7
valueobjectrequiredrecommendedValueobjectOption 8
valuearray of objectrequiredrecommendedValuearray of objectErrors¶
| Status | Meaning |
|---|---|
404 | Can't find setting value. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
See the guide for a narrative walkthrough of this API.